在系统路径中加入FreeCAD,只为一个Conda虚拟环境。
我希望能够将freecad导入我的python脚本,但只能在一个conda虚拟环境中.有没有办法在每个文件开头的路径上添加freecad?我正在使用pop!_os,它应该像在这里的Ubuntu一样行事. 我已经发现您可以导入freecad,但是我发现的来源是通过在文件开头附加freecad库位置来实现的: https://www.freecadweb.org/wiki/wiki/embedding_freecad .看起来您可以通过修改路径变量来避免此问题,并且我可以在工作场所的Windows上这样做.我只想为特定的conda虚拟环境做到这一点. 理想情况下, import FreeCAD 将在特殊的虚拟环境中工作,但在其他环境中不行. 如前所述,我通过将Freecad的目录添加到路径环境变量中,从而在Windows上工作了.它与命令提示符的默认Python一起使用,该提示符应该是Anaconda安装,因此我认为它在所有虚拟环境中都起作用.但是,在Linux上
6 2024-01-26
编程技术问答社区
在 FreeCAD 中显示点旁边的标签
我想在Freecad中创建一些要点,并在他们旁边显示其标签.我的最终目标是实施此功能请求我放置在OpenFoam Repo中. 我尝试在草稿工作台中创建一些要点,并标记为: App.newDocument("test") Gui.activateWorkbench("DraftWorkbench") import Draft point00=Draft.makePoint(0.0,0.0,0.0) point00.Label = "0" point01=Draft.makePoint(1.0,0.0,0.0) point01.Label = "1" point03=Draft.makePoint(0.0,1.0,0.0) point03.Label = "2" 现在来自在这里如果我添加代码blow: a=App.ActiveDocument.addObject("App::AnnotationLabel","Annotation") a.LabelText=[
30 2023-07-22
编程技术问答社区
在 Python 中导入 CAD 对象并存储为数组
我正在使用Autodesk Fusion 360来建模3D部分(请参见下图),然后我可以导出并保存为.Step,.iges,.sat或.smt文件. 我要实现的是将此部分转换为Python中的3D numpy阵列.阵列的每个元素都是 0 或 1 ,以指示该位置是否有固体材料或根本没有材料(空气). 例如,如果我的对象具有图的尺寸,则大小为100x100x50的数组的每个元素将代表对象的1 mm 3 的体积.所有浅蓝色的小立方体都将具有 1 的值,以表明该位置有固体材料,而红色立方体的值将为 0 表明表明这个空间不包括固体材料. 可以使用FreeCad API完成吗?或者还有其他方法可以在Python中导入.Step/.iges/.sat/.smt文件并转换/解析以创建所需的数组? 解决方案 我终于找到了一种对我有用的方法,实际上可以更好地解释我一直在尝试实现的目标. 显然,freecad有一个选项,在您激活"点"工作台后,您可以选择将对象转换为" 之后,将
16 2023-07-21
编程技术问答社区
如何将FreeCAD嵌入到Python虚拟环境中?
如何使用嵌入的freecad库设置python虚拟环境,以便将导入作为模块导入到脚本中? 我想避免使用Freecad GUI,并依赖于将FreeCad安装在系统上时,在使用使用FreeCad库来创建和修改3D几何的Python脚本时.我希望python虚拟环境能够成为可能. 我在pycharm 2021.1.1工作,python 3.8在debian 10中的Virtualenv中. 我从freecad文档开始,以嵌入脚本为基础: 一次尝试,我从Debian下载并解开了.deb软件包,请注意获得每个依赖项所需的正确版本.在另一次尝试中,我复制了Freecad Flatpak安装的内容,因为它应包含FreeCad依赖的所有库. 将要在虚拟机械文件夹中导入的库后,我已经用SYS.Path.append()和Pycharm的项目结构工具指向它们.在这两种情况下,虚拟环境都检测到freecad.so所在的位置,但即使在同一文件夹中,也无法找到其任何依赖项.在明确导入
14 2023-04-14
编程技术问答社区
FreeCAD shape.read() 错误。不支持的格式
我正在做一个项目,我必须将 .dae 文件转换为 .stl 文件.我正在使用下面给出的代码 import sys sys.path.insert(0, "C:\\Program Files (x86)\\FreeCAD 0.17\\bin\\") import FreeCAD import Part import Mesh shape = Part.Shape() shape.read('INPUTFILE.dae') doc = App.newDocument('Doc') pf = doc.addObject("Part::Feature","MyShape") pf.Shape = shape Mesh.export([pf], 'OUTPUTFILE.stl') 当解释器尝试执行命令 shape.read('INPUTFILE.dae') 时出现错误.根据 this 代码应该能够处理 .dae 输入文件.我得到的错误是关于无效的输入文件格式: shape.read('IN
246 2022-08-15
编程技术问答社区
将STEP文件类型转换为STL
我想使用 Python 将 STEP 文件转换为 STL 文件格式.我在网上看过,看起来最好的选择是使用 FreeCAD 或 OpenCascade (OCC).但是,我是初学者,不知道从哪里开始.我在网上做了一些搜索,发现 thisout(将 STEP 转换为 OBJ 文件的代码). 是否有来自 FreeCAD(基于 OCC)的 Python 示例将 STEP 文件转换为 STL?我应该从哪里开始? 解决方案 下面是一些快速开始的代码: import FreeCAD import Part import Mesh shape = Part.Shape() shape.read('my_shape.step') doc = App.newDocument('Doc') pf = doc.addObject("Part::Feature","MyShape") pf.Shape = shape Mesh.export([pf], 'my_shape.stl') Free
1562 2022-08-15
编程技术问答社区